## org.eclipse.datatools.modelbase.sql.schema.impl
Class SQLSchemaFactoryImpl

    java.lang.Object
      EFactoryImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLSchemaFactoryImpl

All Implemented Interfaces:
  SQLSchemaFactory

public class SQLSchemaFactoryImpl
extends EFactoryImpl
implements SQLSchemaFactory

An implementation of the model Factory.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLSchemaFactory
`eINSTANCE`

Constructor Summary
`SQLSchemaFactoryImpl()` Creates an instance of the factory.

Method Summary
`java.lang.String` `convertDateToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertGenerateTypeToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertListToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertReferentialActionTypeToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertToString(EDataType eDataType, java.lang.Object instanceValue)`
`EObject` `create(EClass eClass)`
`Catalog` `createCatalog()`
`Comment` `createComment()`
`Database` `createDatabase()`
`java.util.Date` `createDateFromString(EDataType eDataType, java.lang.String initialValue)`
`Dependency` `createDependency()`
`Event` `createEvent()`
`java.lang.Object` `createFromString(EDataType eDataType, java.lang.String initialValue)`
`GenerateType` `createGenerateTypeFromString(EDataType eDataType, java.lang.String initialValue)`
`IdentitySpecifier` `createIdentitySpecifier()`
`java.util.List` `createListFromString(EDataType eDataType, java.lang.String initialValue)`
`ReferentialActionType` `createReferentialActionTypeFromString(EDataType eDataType, java.lang.String initialValue)`
`Schema` `createSchema()`
`Sequence` `createSequence()`
`static SQLSchemaPackage` `getPackage()` Deprecated.
`SQLSchemaPackage` `getSQLSchemaPackage()`
`static SQLSchemaFactory` `init()` Creates the default factory implementation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLSchemaFactoryImpl

    public SQLSchemaFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static SQLSchemaFactory init()

  Creates the default factory implementation.

### create

    public EObject create(EClass eClass)

### createFromString

    public java.lang.Object createFromString(EDataType eDataType,
                                             java.lang.String initialValue)

### convertToString

    public java.lang.String convertToString(EDataType eDataType,
                                            java.lang.Object instanceValue)

### createIdentitySpecifier

    public IdentitySpecifier createIdentitySpecifier()

  Specified by:
    `createIdentitySpecifier` in interface `SQLSchemaFactory`
  Returns:
    a new object of class 'Identity Specifier'.

### createDependency

    public Dependency createDependency()

  Specified by:
    `createDependency` in interface `SQLSchemaFactory`
  Returns:
    a new object of class 'Dependency'.

### createSchema

    public Schema createSchema()

  Specified by:
    `createSchema` in interface `SQLSchemaFactory`
  Returns:
    a new object of class 'Schema'.

### createSequence

    public Sequence createSequence()

  Specified by:
    `createSequence` in interface `SQLSchemaFactory`
  Returns:
    a new object of class 'Sequence'.

### createDatabase

    public Database createDatabase()

  Specified by:
    `createDatabase` in interface `SQLSchemaFactory`
  Returns:
    a new object of class 'Database'.

### createEvent

    public Event createEvent()

  Specified by:
    `createEvent` in interface `SQLSchemaFactory`
  Returns:
    a new object of class 'Event'.

### createComment

    public Comment createComment()

  Specified by:
    `createComment` in interface `SQLSchemaFactory`
  Returns:
    a new object of class 'Comment'.

### createCatalog

    public Catalog createCatalog()

  Specified by:
    `createCatalog` in interface `SQLSchemaFactory`
  Returns:
    a new object of class 'Catalog'.

### createGenerateTypeFromString

    public GenerateType createGenerateTypeFromString(EDataType eDataType,
                                                     java.lang.String initialValue)

### convertGenerateTypeToString

    public java.lang.String convertGenerateTypeToString(EDataType eDataType,
                                                        java.lang.Object instanceValue)

### createReferentialActionTypeFromString

    public ReferentialActionType createReferentialActionTypeFromString(EDataType eDataType,
                                                                       java.lang.String initialValue)

### convertReferentialActionTypeToString

    public java.lang.String convertReferentialActionTypeToString(EDataType eDataType,
                                                                 java.lang.Object instanceValue)

### createDateFromString

    public java.util.Date createDateFromString(EDataType eDataType,
                                               java.lang.String initialValue)

### convertDateToString

    public java.lang.String convertDateToString(EDataType eDataType,
                                                java.lang.Object instanceValue)

### createListFromString

    public java.util.List createListFromString(EDataType eDataType,
                                               java.lang.String initialValue)

### convertListToString

    public java.lang.String convertListToString(EDataType eDataType,
                                                java.lang.Object instanceValue)

### getSQLSchemaPackage

    public SQLSchemaPackage getSQLSchemaPackage()

  Specified by:
    `getSQLSchemaPackage` in interface `SQLSchemaFactory`
  Returns:
    the package supported by this factory.

### getPackage

    public static SQLSchemaPackage getPackage()

  Deprecated.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.